as.list.Object {galgo} | R Documentation

## Convert a variable of class Object to a list

### Description

Object variables behave as lists, however they are really enviroments. Sometimes it is necesary to use the variable as a list instead of an Object. This function converts the Object to a list.

### Usage

    as.list(x, ...)

### Arguments

`x` | Variable of class Object
`...` | Other object to include

### Value

Returns a list with values equivalent to the Object.

### Note

Values that contain functions will be assigned to .GlobalEnv enviroment.

### Author(s)

Victor Trevino. Francesco Falciani Group. University of Birmingham, U.K.

### Examples

    xO <- Object()
    xO$var = "hello"
    class(xO)
    xOL <- as.list(xO)
    xOL
    class(xOL)

[Package galgo version 1.4 Index]